%define real_name Class-Accessor-Assert

Summary:	Class-Accessor-Assert module for perl 
Name:		perl-%{real_name}
Version:	1.30
Release:	1mdk
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{real_name}
Source0:	http://search.cpan.org/CPAN/authors/id/S/SM/SMUELLER/%{real_name}-%{version}.tar.bz2
BuildRequires:	perl-devel
BuildRequires:	perl-Class-Accessor
BuildRequires:	perl-Class-Data-Inheritable
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This is a version of Class::Accessor which offers rudimentary
type-checking and existence-checking of arguments to constructors and
set accessors.

%prep
%setup -q -n %{real_name}-%{version} 
chmod 644 README Changes

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Class/Accessor/Assert.pm
%{_mandir}/*/*


%changelog
* Tue Aug 16 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.30-1mdk
- new version
- fix sources url for rpmbuildupdate
- fix documentation perms

* Wed Jul 13 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2-1mdk
- initial Mandriva package 
